Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/InstanceFilterPage.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/InstanceFilterPage.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/InstanceFilterPage.java	(working copy)
@@ -10,370 +10,221 @@
  ******************************************************************************/
 package org.jboss.tools.internal.deltacloud.ui.wizards;
 
-import org.eclipse.jface.wizard.WizardPage;
+import org.eclipse.jface.fieldassist.ControlDecoration;
+import org.eclipse.jface.layout.GridDataFactory;
+import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.events.ModifyEvent;
-import org.eclipse.swt.events.ModifyListener;
-import org.eclipse.swt.events.SelectionAdapter;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.graphics.Point;
-import org.eclipse.swt.layout.FormAttachment;
-import org.eclipse.swt.layout.FormData;
-import org.eclipse.swt.layout.FormLayout;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
 import org.jboss.tools.deltacloud.core.DeltaCloud;
-import org.jboss.tools.deltacloud.ui.SWTImagesFactory;
+import org.jboss.tools.deltacloud.core.IInstanceFilter;
+import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
 
 /**
  * @author Jeff Johnston
  */
-public class InstanceFilterPage extends WizardPage {
+public class InstanceFilterPage extends AbstractFilterPage {
 
 	private final static String NAME = "InstanceFilter.name"; //$NON-NLS-1$
 	private final static String TITLE = "InstanceFilter.title"; //$NON-NLS-1$
 	private final static String DESC = "InstanceFilter.desc"; //$NON-NLS-1$
 	private final static String FILTER_LABEL = "InstanceFilter.label"; //$NON-NLS-1$
-	private final static String EMPTY_RULE = "ErrorFilterEmptyRule.msg"; //$NON-NLS-1$
-	private final static String INVALID_SEMICOLON = "ErrorFilterSemicolon.msg"; //$NON-NLS-1$
 	private final static String NAME_LABEL = "Name.label"; //$NON-NLS-1$
 	private final static String ID_LABEL = "Id.label"; //$NON-NLS-1$
+	private final static String ALIAS_LABEL = "Alias.label"; //$NON-NLS-1$
 	private final static String OWNER_ID_LABEL = "OwnerId.label"; //$NON-NLS-1$
 	private final static String IMAGE_ID_LABEL = "ImageId.label"; //$NON-NLS-1$
 	private final static String KEYNAME_LABEL = "Key.label"; //$NON-NLS-1$
 	private final static String REALM_LABEL = "Realm.label"; //$NON-NLS-1$
 	private final static String PROFILE_LABEL = "Profile.label"; //$NON-NLS-1$
-	private final static String DEFAULT_LABEL = "DefaultButton.label"; //$NON-NLS-1$
-	
-	private DeltaCloud cloud;
+
 	private Text nameText;
-	private Text idText;
-	private Text imageIdText;
-	private Text ownerIdText;
-	private Text keyNameText;
-	private Text realmText;
-	private Text profileText;
-	
+	private ControlDecoration nameDecoration;
 	private Button defaultName;
+	private Text idText;
+	private ControlDecoration idDecoration;
 	private Button defaultId;
+	private Text aliasText;
+	private ControlDecoration aliasDecoration;
+	private Button defaultAlias;
+	private Text imageIdText;
+	private ControlDecoration imageDecoration;
 	private Button defaultImageId;
+	private Text ownerIdText;
 	private Button defaultOwnerId;
+	private ControlDecoration ownerDecoration;
+	private Text keyIdText;
+	private ControlDecoration keyIdDecoration;
 	private Button defaultKeyId;
+	private Text realmText;
+	private ControlDecoration realmDecoration;
 	private Button defaultRealm;
+	private Text profileText;
+	private ControlDecoration profileDecoration;
 	private Button defaultProfile;
-	
+
 	public InstanceFilterPage(DeltaCloud cloud) {
-		super(WizardMessages.getString(NAME));
-		this.cloud = cloud;
-		setDescription(WizardMessages.getString(DESC));
-		setTitle(WizardMessages.getString(TITLE));
-		setImageDescriptor(SWTImagesFactory.DESC_DELTA_LARGE);
-		setPageComplete(false);
+		super(WizardMessages.getString(NAME), WizardMessages.getString(TITLE), WizardMessages.getString(DESC), cloud);
 	}
-	
+
 	public String getNameRule() {
 		return nameText.getText();
 	}
-	
+
 	public String getIdRule() {
 		return idText.getText();
 	}
-	
+
+	public String getAliasRule() {
+		return aliasText.getText();
+	}
+
 	public String getImageIdRule() {
 		return imageIdText.getText();
 	}
-	
+
 	public String getOwnerIdRule() {
 		return ownerIdText.getText();
 	}
-	
+
 	public String getKeyNameRule() {
-		return keyNameText.getText();
+		return keyIdText.getText();
 	}
-	
+
 	public String getRealmRule() {
 		return realmText.getText();
 	}
-	
+
 	public String getProfileRule() {
 		return profileText.getText();
 	}
-	
-	private ModifyListener Listener = new ModifyListener() {
 
-		@Override
-		public void modifyText(ModifyEvent e) {
-			// TODO Auto-generated method stub
-			validate();
-		}
-	};
-	
-	private SelectionAdapter ButtonListener = new SelectionAdapter() {
-		@Override
-		public void widgetSelected(SelectionEvent e) {
-			Button b = (Button)e.widget;
-			if (b == defaultName)
-				nameText.setText("*"); //$NON-NLS-1$
-			else if (b == defaultId)
-				idText.setText("*"); //$NON-NLS-1$
-			else if (b == defaultImageId)
-				imageIdText.setText("*"); //$NON-NLS-1$
-			else if (b == defaultOwnerId)
-				ownerIdText.setText("*"); //$NON-NLS-1$
-			else if (b == defaultKeyId)
-				keyNameText.setText("*"); //$NON-NLS-1$
-			else if (b == defaultRealm)
-				realmText.setText("*"); //$NON-NLS-1$
-			else if (b == defaultProfile)
-				profileText.setText("*"); //$NON-NLS-1$			
-		}
-	
-	};
-	
-	private void validate() {
-		boolean complete = true;
-		boolean error = false;
-	
-		if (nameText.getText().length() == 0 ||
-				idText.getText().length() == 0 ||
-				imageIdText.getText().length() == 0 ||
-				ownerIdText.getText().length() == 0 ||
-				keyNameText.getText().length() == 0 ||
-				realmText.getText().length() == 0 ||
-				profileText.getText().length() == 0) {
-			
-			setErrorMessage(WizardMessages.getString(EMPTY_RULE));
-			error = true;
-		} else if (nameText.getText().contains(";") ||
-				idText.getText().contains(";") ||
-				imageIdText.getText().contains(";") ||
-				ownerIdText.getText().contains(";") ||
-				keyNameText.getText().contains(";") ||
-				realmText.getText().contains(";") ||
-				profileText.getText().contains(";")) {
-			setErrorMessage(WizardMessages.getString(INVALID_SEMICOLON));
-			error = true;
+	@Override
+	protected Text getTextWidget(Button button) {
+		Text text = null;
+		if (button == defaultName) {
+			text = nameText;
+		} else if (button == defaultId) {
+			text = idText;
+		} else if (button == defaultAlias) {
+			text = aliasText;
+		} else if (button == defaultImageId) {
+			text = imageIdText;
+		} else if (button == defaultOwnerId) {
+			text = ownerIdText;
+		} else if (button == defaultKeyId) {
+			text = keyIdText;
+		} else if (button == defaultRealm) {
+			text = realmText;
+		} else if (button == defaultProfile) {
+			text = profileText;
 		}
+		return text;
+	}
+
+	@Override
+	protected void validate() {
+		nameDecoration.hide();
+		idDecoration.hide();
+		aliasDecoration.hide();
+		imageDecoration.hide();
+		ownerDecoration.hide();
+		keyIdDecoration.hide();
+		realmDecoration.hide();
+		profileDecoration.hide();
 		
-		if (!error)
-			setErrorMessage(null);
-		setPageComplete(complete && !error);
+		String error = null;
+		error = validate(nameText, nameDecoration, error);
+		error = validate(idText, idDecoration, error);
+		error = validate(aliasText, aliasDecoration, error);
+		error = validate(imageIdText, imageDecoration, error);
+		error = validate(ownerIdText, ownerDecoration, error);
+		error = validate(keyIdText, keyIdDecoration, error);
+		error = validate(realmText, realmDecoration, error);
+		error = validate(profileText, profileDecoration, error);
+		setPageComplete(error == null);
+		setErrorMessage(error);
 	}
 
 	@Override
 	public void createControl(Composite parent) {
 		final Composite container = new Composite(parent, SWT.NULL);
-		FormLayout layout = new FormLayout();
-		layout.marginHeight = 5;
-		layout.marginWidth = 5;
-		container.setLayout(layout);		
+		GridLayoutFactory.fillDefaults().numColumns(3).spacing(8, 4).applyTo(container);
 
 		Label label = new Label(container, SWT.NULL);
 		label.setText(WizardMessages.getString(FILTER_LABEL));
-		
-		Label nameLabel = new Label(container, SWT.NULL);
-		nameLabel.setText(WizardMessages.getString(NAME_LABEL));
-		
-		nameText = new Text(container, SWT.BORDER | SWT.SINGLE);
-		nameText.setText(cloud.getInstanceFilter().getNameRule().toString());
-		nameText.addModifyListener(Listener);
-		
-		defaultName = new Button(container, SWT.NULL);
-		defaultName.setText(WizardMessages.getString(DEFAULT_LABEL));
-		defaultName.addSelectionListener(ButtonListener);
+		GridDataFactory.fillDefaults().span(3, 1).align(SWT.LEFT, SWT.CENTER).indent(0, 14).hint(SWT.DEFAULT, 30)
+				.applyTo(label);
 
-		Label idLabel = new Label(container, SWT.NULL);
-		idLabel.setText(WizardMessages.getString(ID_LABEL));
+		IInstanceFilter filter = getDeltaCloud().getInstanceFilter();
 
-		idText = new Text(container, SWT.BORDER | SWT.SINGLE);
-		idText.setText(cloud.getInstanceFilter().getIdRule().toString());
-		idText.addModifyListener(Listener);
+		Label nameLabel = createRuleLabel(WizardMessages.getString(NAME_LABEL), container);
+		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(nameLabel);
+		this.nameText = createRuleText(filter.getNameRule(), container);
+		GridDataFactory.fillDefaults().align(SWT.FILL, SWT.CENTER).grab(true, false).applyTo(nameText);
+		this.nameDecoration = UIUtils.createErrorDecoration("", nameText);
+		this.defaultName = createDefaultRuleButton(container);
+		GridDataFactory.fillDefaults().align(SWT.RIGHT, SWT.CENTER).applyTo(defaultName);
 
-		defaultId = new Button(container, SWT.NULL);
-		defaultId.setText(WizardMessages.getString(DEFAULT_LABEL));
-		defaultId.addSelectionListener(ButtonListener);
+		Label aliasLabel = createRuleLabel(WizardMessages.getString(ALIAS_LABEL), container);
+		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(aliasLabel);
+		this.aliasText = createRuleText(filter.getAliasRule(), container);
+		GridDataFactory.fillDefaults().align(SWT.FILL, SWT.CENTER).grab(true, false).applyTo(aliasText);
+		this.aliasDecoration = UIUtils.createErrorDecoration("", aliasText);
+		this.defaultAlias = createDefaultRuleButton(container);
+		GridDataFactory.fillDefaults().align(SWT.RIGHT, SWT.CENTER).applyTo(defaultAlias);
 
-		Label imageIdLabel = new Label(container, SWT.NULL);
-		imageIdLabel.setText(WizardMessages.getString(IMAGE_ID_LABEL));
-		
-		imageIdText = new Text(container, SWT.BORDER | SWT.SINGLE);
-		imageIdText.setText(cloud.getInstanceFilter().getImageIdRule().toString());
-		imageIdText.addModifyListener(Listener);
-		
-		defaultImageId = new Button(container, SWT.NULL);
-		defaultImageId.setText(WizardMessages.getString(DEFAULT_LABEL));
-		defaultImageId.addSelectionListener(ButtonListener);
+		Label idLabel = createRuleLabel(WizardMessages.getString(ID_LABEL), container);
+		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(idLabel);
+		this.idText = createRuleText(filter.getIdRule(), container);
+		GridDataFactory.fillDefaults().align(SWT.FILL, SWT.CENTER).grab(true, false).applyTo(idText);
+		this.idDecoration = UIUtils.createErrorDecoration("", idText);
+		this.defaultId = createDefaultRuleButton(container);
+		GridDataFactory.fillDefaults().align(SWT.RIGHT, SWT.CENTER).applyTo(defaultId);
 
-		Label ownerIdLabel = new Label(container, SWT.NULL);
-		ownerIdLabel.setText(WizardMessages.getString(OWNER_ID_LABEL));
+		Label imageIdLabel = createRuleLabel(WizardMessages.getString(IMAGE_ID_LABEL), container);
+		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(imageIdLabel);
+		this.imageIdText = createRuleText(filter.getImageIdRule(), container);
+		GridDataFactory.fillDefaults().align(SWT.FILL, SWT.CENTER).grab(true, false).applyTo(imageIdText);
+		this.imageDecoration = UIUtils.createErrorDecoration("", imageIdText);
+		this.defaultImageId = createDefaultRuleButton(container);
+		GridDataFactory.fillDefaults().align(SWT.RIGHT, SWT.CENTER).applyTo(defaultImageId);
 
-		ownerIdText = new Text(container, SWT.BORDER | SWT.SINGLE);
-		ownerIdText.setText(cloud.getInstanceFilter().getOwnerIdRule().toString());
-		ownerIdText.addModifyListener(Listener);
-		
-		defaultOwnerId = new Button(container, SWT.NULL);
-		defaultOwnerId.setText(WizardMessages.getString(DEFAULT_LABEL));
-		defaultOwnerId.addSelectionListener(ButtonListener);
-
-		Label keyNameLabel = new Label(container, SWT.NULL);
-		keyNameLabel.setText(WizardMessages.getString(KEYNAME_LABEL));
-
-		keyNameText = new Text(container, SWT.BORDER | SWT.SINGLE);
-		keyNameText.setText(cloud.getInstanceFilter().getKeyNameRule().toString());
-		keyNameText.addModifyListener(Listener);
-		
-		defaultKeyId = new Button(container, SWT.NULL);
-		defaultKeyId.setText(WizardMessages.getString(DEFAULT_LABEL));
-		defaultKeyId.addSelectionListener(ButtonListener);
-
-		Label realmLabel = new Label(container, SWT.NULL);
-		realmLabel.setText(WizardMessages.getString(REALM_LABEL));
-
-		realmText = new Text(container, SWT.BORDER | SWT.SINGLE);
-		realmText.setText(cloud.getInstanceFilter().getRealmRule().toString());
-		realmText.addModifyListener(Listener);
-		
-		defaultRealm = new Button(container, SWT.NULL);
-		defaultRealm.setText(WizardMessages.getString(DEFAULT_LABEL));
-		defaultRealm.addSelectionListener(ButtonListener);
-		
-		Label profileLabel = new Label(container, SWT.NULL);
-		profileLabel.setText(WizardMessages.getString(PROFILE_LABEL));
+		Label ownerIdLabel = createRuleLabel(WizardMessages.getString(OWNER_ID_LABEL), container);
+		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(ownerIdLabel);
+		this.ownerIdText = createRuleText(filter.getOwnerIdRule(), container);
+		GridDataFactory.fillDefaults().align(SWT.FILL, SWT.CENTER).grab(true, false).applyTo(ownerIdText);
+		this.ownerDecoration = UIUtils.createErrorDecoration("", ownerIdText);
+		this.defaultOwnerId = createDefaultRuleButton(container);
+		GridDataFactory.fillDefaults().align(SWT.RIGHT, SWT.CENTER).applyTo(defaultOwnerId);
 
-		profileText = new Text(container, SWT.BORDER | SWT.SINGLE);
-		profileText.setText(cloud.getInstanceFilter().getProfileRule().toString());
-		profileText.addModifyListener(Listener);
-		
-		defaultProfile = new Button(container, SWT.NULL);
-		defaultProfile.setText(WizardMessages.getString(DEFAULT_LABEL));
-		defaultProfile.addSelectionListener(ButtonListener);
-		
-		Point p1 = label.computeSize(SWT.DEFAULT, SWT.DEFAULT);
-		Point p2 = nameText.computeSize(SWT.DEFAULT, SWT.DEFAULT);
-		Point p3 = defaultName.computeSize(SWT.DEFAULT, SWT.DEFAULT);
-		int centering = (p2.y - p1.y + 1) / 2;
-		int centering2 = (p3.y - p2.y + 1) / 2;
+		Label keyNameLabel = createRuleLabel(WizardMessages.getString(KEYNAME_LABEL), container);
+		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(keyNameLabel);
+		this.keyIdText = createRuleText(filter.getKeyNameRule(), container);
+		GridDataFactory.fillDefaults().align(SWT.FILL, SWT.CENTER).grab(true, false).applyTo(keyIdText);
+		this.keyIdDecoration = UIUtils.createErrorDecoration("", keyIdText);
+		this.defaultKeyId = createDefaultRuleButton(container);
+		GridDataFactory.fillDefaults().align(SWT.RIGHT, SWT.CENTER).applyTo(defaultKeyId);
 
-		FormData f = new FormData();
-		f.top = new FormAttachment(0);
-		label.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(label, 11 + centering + centering2);
-		f.left = new FormAttachment(0, 0);
-		nameLabel.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(label, 11);
-		f.right = new FormAttachment(100);
-		defaultName.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(label, 11 + centering2);
-		f.left = new FormAttachment(profileLabel, 5);
-		f.right = new FormAttachment(defaultName, -10);
-		nameText.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(nameLabel, 11 + centering + centering2);
-		f.left = new FormAttachment(0, 0);
-		idLabel.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(nameLabel, 11);
-		f.right = new FormAttachment(100);
-		defaultId.setLayoutData(f);
+		Label realmLabel = createRuleLabel(WizardMessages.getString(REALM_LABEL), container);
+		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(realmLabel);
+		this.realmText = createRuleText(filter.getRealmRule(), container);
+		GridDataFactory.fillDefaults().align(SWT.FILL, SWT.CENTER).grab(true, false).applyTo(realmText);
+		this.realmDecoration = UIUtils.createErrorDecoration("", realmText);
+		this.defaultRealm = createDefaultRuleButton(container);
+		GridDataFactory.fillDefaults().align(SWT.RIGHT, SWT.CENTER).applyTo(defaultRealm);
 
-		f = new FormData();
-		f.top = new FormAttachment(nameLabel, 11 + centering2);
-		f.left = new FormAttachment(profileLabel, 5);
-		f.right = new FormAttachment(defaultId, -10);
-		idText.setLayoutData(f);
-
-		f = new FormData();
-		f.top = new FormAttachment(idLabel, 11 + centering + centering2);
-		f.left = new FormAttachment(0, 0);
-		imageIdLabel.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(idLabel, 11);
-		f.right = new FormAttachment(100);
-		defaultImageId.setLayoutData(f);
-
-		f = new FormData();
-		f.top = new FormAttachment(idLabel, 11 + centering2);
-		f.left = new FormAttachment(profileLabel, 5);
-		f.right = new FormAttachment(defaultImageId, -10);
-		imageIdText.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(imageIdLabel, 11 + centering + centering2);
-		f.left = new FormAttachment(0, 0);
-		ownerIdLabel.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(imageIdLabel, 11);
-		f.right = new FormAttachment(100);
-		defaultOwnerId.setLayoutData(f);
-
-		f = new FormData();
-		f.top = new FormAttachment(imageIdLabel, 11 + centering2);
-		f.left = new FormAttachment(profileLabel, 5);
-		f.right = new FormAttachment(defaultOwnerId, -10);
-		ownerIdText.setLayoutData(f);
-
-		f = new FormData();
-		f.top = new FormAttachment(ownerIdLabel, 11 + centering + centering2);
-		f.left = new FormAttachment(0, 0);
-		keyNameLabel.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(ownerIdLabel, 11);
-		f.right = new FormAttachment(100);
-		defaultKeyId.setLayoutData(f);
-
-		f = new FormData();
-		f.top = new FormAttachment(ownerIdLabel, 11 + centering2);
-		f.left = new FormAttachment(profileLabel, 5);
-		f.right = new FormAttachment(defaultKeyId, -10);
-		keyNameText.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(keyNameLabel, 11 + centering + centering2);
-		f.left = new FormAttachment(0, 0);
-		realmLabel.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(keyNameLabel, 11);
-		f.right = new FormAttachment(100);
-		defaultRealm.setLayoutData(f);
-
-		f = new FormData();
-		f.top = new FormAttachment(keyNameLabel, 11 + centering2);
-		f.left = new FormAttachment(profileLabel, 5);
-		f.right = new FormAttachment(defaultRealm, -10);
-		realmText.setLayoutData(f);
-
-		f = new FormData();
-		f.top = new FormAttachment(realmLabel, 11 + centering + centering2);
-		f.left = new FormAttachment(0, 0);
-		profileLabel.setLayoutData(f);
-		
-		f = new FormData();
-		f.top = new FormAttachment(realmLabel, 11);
-		f.right = new FormAttachment(100);
-		defaultProfile.setLayoutData(f);
-
-		f = new FormData();
-		f.top = new FormAttachment(realmLabel, 11 + centering2);
-		f.left = new FormAttachment(profileLabel, 5);
-		f.right = new FormAttachment(defaultProfile, -10);
-		profileText.setLayoutData(f);
+		Label profileLabel = createRuleLabel(WizardMessages.getString(PROFILE_LABEL), container);
+		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(profileLabel);
+		this.profileText = createRuleText(filter.getProfileRule(), container);
+		this.profileDecoration = UIUtils.createErrorDecoration("", profileText);
+		GridDataFactory.fillDefaults().align(SWT.FILL, SWT.CENTER).grab(true, false).applyTo(profileText);
+		this.defaultProfile = createDefaultRuleButton(container);
+		GridDataFactory.fillDefaults().align(SWT.RIGHT, SWT.CENTER).applyTo(defaultProfile);
 
 		setControl(container);
 		setPageComplete(true);
 	}
-
 }
Index: src/org/jboss/tools/deltacloud/ui/commands/CreateInstanceFromAnyImageHandler.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/commands/CreateInstanceFromAnyImageHandler.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/ui/commands/CreateInstanceFromAnyImageHandler.java	(working copy)
@@ -21,7 +21,7 @@
 import org.eclipse.jface.wizard.WizardDialog;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.jboss.tools.deltacloud.core.DeltaCloud;
-import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.WorkbenchUtils;
 import org.jboss.tools.internal.deltacloud.ui.wizards.NewInstanceWizard;
 
 /**
@@ -34,9 +34,9 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		ISelection selection = HandlerUtil.getCurrentSelection(event);
 		if (selection instanceof IStructuredSelection) {
-			DeltaCloud cloud = UIUtils.getFirstAdaptedElement(selection, DeltaCloud.class);
+			DeltaCloud cloud = WorkbenchUtils.getFirstAdaptedElement(selection, DeltaCloud.class);
 			IWizard wizard = new NewInstanceWizard(cloud);
-			WizardDialog dialog = new WizardDialog(UIUtils.getActiveWorkbenchWindow().getShell(),
+			WizardDialog dialog = new WizardDialog(WorkbenchUtils.getActiveWorkbenchWindow().getShell(),
 						wizard);
 			dialog.create();
 			dialog.open();
Index: src/org/jboss/tools/deltacloud/ui/commands/DeltaCloudInstancePropertyTester.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/commands/DeltaCloudInstancePropertyTester.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/ui/commands/DeltaCloudInstancePropertyTester.java	(working copy)
@@ -13,7 +13,7 @@
 import org.eclipse.core.expressions.PropertyTester;
 import org.eclipse.core.runtime.Assert;
 import org.jboss.tools.deltacloud.core.DeltaCloudInstance;
-import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.WorkbenchUtils;
 
 /**
  * A property tester for the command framework that answers if the given
@@ -31,7 +31,7 @@
 
 	@Override
 	public boolean test(Object receiver, String property, Object[] args, Object expectedValue) {
-		DeltaCloudInstance instance = UIUtils.adapt(receiver, DeltaCloudInstance.class);
+		DeltaCloudInstance instance = WorkbenchUtils.adapt(receiver, DeltaCloudInstance.class);
 		if (instance == null) {
 			return false;
 		}
Index: src/org/jboss/tools/deltacloud/ui/commands/NewConnectionHandler.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/commands/NewConnectionHandler.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/ui/commands/NewConnectionHandler.java	(working copy)
@@ -14,9 +14,9 @@
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.core.commands.IHandler;
 import org.eclipse.core.runtime.Status;
-import org.eclipse.jface.viewers.StructuredSelection;
-import org.eclipse.jface.wizard.WizardDialog;
+import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.PlatformUI;
+import org.jboss.tools.internal.deltacloud.ui.utils.WizardUtils;
 import org.jboss.tools.internal.deltacloud.ui.wizards.NewCloudConnectionWizard;
 
 /**
@@ -26,13 +26,8 @@
 
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-		NewCloudConnectionWizard wizard = new NewCloudConnectionWizard();
-		wizard.init(PlatformUI.getWorkbench(), new StructuredSelection());
-		WizardDialog dialog = new WizardDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(),
-				wizard);
-		dialog.create();
-		dialog.open();
-		
+		Shell shell = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell();
+		WizardUtils.openWizardDialog(new NewCloudConnectionWizard(), shell);
 		return Status.OK_STATUS;
 	}
 }
Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/ManageKeysPage.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/ManageKeysPage.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/ManageKeysPage.java	(working copy)
@@ -60,7 +60,7 @@
 import org.jboss.tools.deltacloud.ui.ErrorUtils;
 import org.jboss.tools.deltacloud.ui.SWTImagesFactory;
 import org.jboss.tools.internal.deltacloud.ui.common.databinding.validator.ObjectNotNullToBoolean;
-import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.LayoutUtils;
 import org.jboss.tools.internal.deltacloud.ui.utils.WizardUtils;
 
 /**
@@ -216,11 +216,12 @@
 		return new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent event) {
+				DeltaCloudKey key = model.getSelectedKey();
 				boolean confirmed = MessageDialog.openConfirm(getShell(),
 						WizardMessages.getString(CONFIRM_KEY_DELETE_TITLE),
-						WizardMessages.getFormattedString(CONFIRM_KEY_DELETE_MSG, model.getSelectedKey().getId()));
+						WizardMessages.getFormattedString(CONFIRM_KEY_DELETE_MSG, key.getId()));
 				if (confirmed) {
-					deleteKey();
+					deleteSelectedKey();
 				}
 			}
 		};
@@ -304,22 +305,22 @@
 			composite.setFont(parent.getFont());
 			composite.setLayout(new FormLayout());
 			Label titleBarSeparator = new Label(composite, SWT.HORIZONTAL | SWT.SEPARATOR);
-			titleBarSeparator.setLayoutData(UIUtils.createFormData(0,0,null,0,0,0,100,0));
+			titleBarSeparator.setLayoutData(LayoutUtils.createFormData(0,0,null,0,0,0,100,0));
 
 			setTitle(WizardMessages.getString(CREATE_KEY_TITLE));
 			Label nameLabel = new Label(composite, SWT.NONE);
 			nameLabel.setText("Key ID: ");
-			nameLabel.setLayoutData(UIUtils.createFormData(0,7,null,0,0,5,null,0));
+			nameLabel.setLayoutData(LayoutUtils.createFormData(0,7,null,0,0,5,null,0));
 			nameText = new Text(composite, SWT.BORDER);
-			nameText.setLayoutData(UIUtils.createFormData(0,5,null,0,nameLabel, 5, 100, -5));
+			nameText.setLayoutData(LayoutUtils.createFormData(0,5,null,0,nameLabel, 5, 100, -5));
 			
 			persist = new Button(composite, SWT.CHECK);
 			persist.setText("Save key in folder: ");
-			persist.setLayoutData(UIUtils.createFormData(nameText, 8, null, 0, 0,5,null,0));
+			persist.setLayoutData(LayoutUtils.createFormData(nameText, 8, null, 0, 0,5,null,0));
 			
 			Button browse = new Button(composite, SWT.DEFAULT);
 			browse.setText("Browse...");
-			browse.setLayoutData(UIUtils.createFormData(nameText, 5, null, 0, null, 0, 100, -5));
+			browse.setLayoutData(LayoutUtils.createFormData(nameText, 5, null, 0, null, 0, 100, -5));
 			browse.addSelectionListener(new SelectionAdapter() {
 				public void widgetSelected(SelectionEvent e) {
 					DirectoryDialog dialog = new DirectoryDialog(getShell(), SWT.NONE);
@@ -331,7 +332,7 @@
 			});
 			
 			pemText = new Text(composite, SWT.BORDER);
-			pemText.setLayoutData(UIUtils.createFormData(nameText,5,null,0,persist, 5, browse, -5));
+			pemText.setLayoutData(LayoutUtils.createFormData(nameText,5,null,0,persist, 5, browse, -5));
 
 			init();
 			
@@ -390,7 +391,7 @@
 	private DeltaCloudKey createKey(final String keyId) {
 		final DeltaCloudKey[] keyHolder = new DeltaCloudKey[1];
 		try {
-			Job job = new AbstractCloudElementJob("Create key", model.getCloud(), CLOUDELEMENT.KEYS) {
+			Job job = new AbstractCloudElementJob("Create new key", model.getCloud(), CLOUDELEMENT.KEYS) {
 
 				protected IStatus doRun(IProgressMonitor monitor) throws Exception {
 					try {
@@ -421,9 +422,12 @@
 		}
 	}
 
-	private void deleteKey() {
+	private void deleteSelectedKey() {
 		try {
-			Job job = new AbstractCloudElementJob("Delete key", model.getCloud(), CLOUDELEMENT.KEYS) {
+			Job job = new AbstractCloudElementJob(
+					MessageFormat.format("Delete key {0}",model.getSelectedKey().getName()), 
+					model.getCloud(), 
+					CLOUDELEMENT.KEYS) {
 
 				protected IStatus doRun(IProgressMonitor monitor) throws Exception {
 					try {
@@ -436,7 +440,7 @@
 								public void run() {
 									isConfirmDelete[0] = MessageDialog.openConfirm(
 											getShell(),
-											"Delete key locally?",
+											MessageFormat.format("Delete key {0} locally?",key.getName()),
 											MessageFormat.format(
 													"Shall the key \"{0}\" be deleted from local key store?",
 													key.getName()));
Index: src/org/jboss/tools/deltacloud/ui/commands/RefreshCloudHandler.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/commands/RefreshCloudHandler.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/ui/commands/RefreshCloudHandler.java	(working copy)
@@ -28,7 +28,7 @@
 import org.jboss.tools.deltacloud.core.DeltaCloudMultiException;
 import org.jboss.tools.deltacloud.core.job.AbstractCloudJob;
 import org.jboss.tools.deltacloud.ui.ErrorUtils;
-import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.WorkbenchUtils;
 
 /**
  * @author Andre Dietisheim
@@ -43,7 +43,7 @@
 			refresh(clouds);
 		} else {
 			// no item selected: try active part
-			refresh(UIUtils.adapt(HandlerUtil.getActivePart(event), DeltaCloud.class));
+			refresh(WorkbenchUtils.adapt(HandlerUtil.getActivePart(event), DeltaCloud.class));
 		}			
 		return Status.OK_STATUS;
 	}
@@ -53,7 +53,7 @@
 			return Collections.emptyList();
 		}
 		
-		return UIUtils.adapt(((IStructuredSelection) selection).toList(), DeltaCloud.class);
+		return WorkbenchUtils.adapt(((IStructuredSelection) selection).toList(), DeltaCloud.class);
 	}
 
 	private void refresh(Collection<DeltaCloud> clouds) {
